Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXElem

    java.lang.Object
      org.basex.api.dom.BXNode
          org.basex.api.dom.BXElem

All Implemented Interfaces:
  org.w3c.dom.Element, org.w3c.dom.Node

    public final class BXElem

extends BXNode
implements org.w3c.dom.Element

DOM - Element implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`BXElem(Nod n)` Constructor.

Method Summary
`java.lang.String` | `getAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String uri, java.lang.String ln)`
`java.lang.String` | `getAttributeNS(java.lang.String uri, java.lang.String ln)`
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String uri, java.lang.String ln)`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNodeName()`
`org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()`
`java.lang.String` | `getTagName()`
`boolean` | `hasAttribute(java.lang.String name)`
`boolean` | `hasAttributeNS(java.lang.String uri, java.lang.String ln)`
`void` | `removeAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)`
`void` | `removeAttributeNS(java.lang.String uri, java.lang.String ln)`
`void` | `setAttribute(java.lang.String name, java.lang.String value)`
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr at)`
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr at)`
`void` | `setAttributeNS(java.lang.String uri, java.lang.String qn, java.lang.String value)`
`void` | `setIdAttribute(java.lang.String name, boolean isId)`
`void` | `setIdAttributeNode(org.w3c.dom.Attr at, boolean isId)`
`void` | `setIdAttributeNS(java.lang.String uri, java.lang.String ln, boolean isId)`

Methods inherited from class org.basex.api.dom.BXNode
`appendChild, cloneNode, compareDocumentPosition, error, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNod, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### BXElem

    public BXElem(Nod n)

  Constructor.

  Parameters:
    `n` - node reference

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `BXNode`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`
  Overrides:
    `getLocalName` in class `BXNode`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `BXNode`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `org.w3c.dom.Element`

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String uri,
                                           java.lang.String ln)

  Specified by:
    `getAttributeNS` in interface `org.w3c.dom.Element`

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    `getAttributeNode` in interface `org.w3c.dom.Element`

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String uri,
                                               java.lang.String ln)

  Specified by:
    `getAttributeNodeNS` in interface `org.w3c.dom.Element`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Element`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String uri,
                                                       java.lang.String ln)

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Element`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  Specified by:
    `getSchemaTypeInfo` in interface `org.w3c.dom.Element`

### getTagName

    public java.lang.String getTagName()

  Specified by:
    `getTagName` in interface `org.w3c.dom.Element`

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    `hasAttribute` in interface `org.w3c.dom.Element`

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String uri,
                                  java.lang.String ln)

  Specified by:
    `hasAttributeNS` in interface `org.w3c.dom.Element`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `org.w3c.dom.Element`

### removeAttributeNS

    public void removeAttributeNS(java.lang.String uri,
                                  java.lang.String ln)

  Specified by:
    `removeAttributeNS` in interface `org.w3c.dom.Element`

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)

  Specified by:
    `removeAttributeNode` in interface `org.w3c.dom.Element`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)

  Specified by:
    `setAttribute` in interface `org.w3c.dom.Element`

### setAttributeNS

    public void setAttributeNS(java.lang.String uri,
                               java.lang.String qn,
                               java.lang.String value)

  Specified by:
    `setAttributeNS` in interface `org.w3c.dom.Element`

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr at)

  Specified by:
    `setAttributeNode` in interface `org.w3c.dom.Element`

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr at)

  Specified by:
    `setAttributeNodeNS` in interface `org.w3c.dom.Element`

### setIdAttribute

    public void setIdAttribute(java.lang.String name,
                               boolean isId)

  Specified by:
    `setIdAttribute` in interface `org.w3c.dom.Element`

### setIdAttributeNS

    public void setIdAttributeNS(java.lang.String uri,
                                 java.lang.String ln,
                                 boolean isId)

  Specified by:
    `setIdAttributeNS` in interface `org.w3c.dom.Element`

### setIdAttributeNode

    public void setIdAttributeNode(org.w3c.dom.Attr at,
                                   boolean isId)

  Specified by:
    `setIdAttributeNode` in interface `org.w3c.dom.Element`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD